> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kayle.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Record that an owner accepted the current relying-party integration terms.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/auth/orgs/rp-terms
openapi: 3.1.0
info:
  title: Kayle ID
  version: 1.5.0
  description: Privacy-first identity verification.
  license:
    name: Apache License 2.0
    url: https://github.com/kayleai/kayle-id/blob/main/LICENSE
  contact:
    name: Kayle ID
    url: https://kayle.id
    email: help@kayle.id
  termsOfService: https://kayle.id/terms
servers:
  - url: http://127.0.0.1:8787
    description: ''
security:
  - bearerAuth: []
paths:
  /v1/auth/orgs/rp-terms:
    post:
      tags:
        - Organizations
      summary: >-
        Record that an owner accepted the current relying-party integration
        terms.
      responses:
        '200':
          description: Current Kayle ID Integration Terms accepted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      acceptance:
                        type:
                          - object
                          - 'null'
                        properties:
                          accepted_at:
                            type: string
                          accepted_by:
                            type:
                              - string
                              - 'null'
                          jurisdiction:
                            type: string
                          terms_hash:
                            type: string
                          terms_version:
                            type: string
                        required:
                          - accepted_at
                          - accepted_by
                          - jurisdiction
                          - terms_hash
                          - terms_version
                      current:
                        type: object
                        properties:
                          jurisdiction:
                            type: string
                            enum:
                              - UK/EU GDPR
                          terms_hash:
                            type: string
                            enum:
                              - >-
                                sha256:5472d5130ecf957716380ec26d82aac35e1c59fe4ce8cba8337c0b8fec1e261e
                          terms_version:
                            type: string
                            enum:
                              - '2026-05-17'
                        required:
                          - jurisdiction
                          - terms_hash
                          - terms_version
                      current_accepted:
                        type: boolean
                    required:
                      - acceptance
                      - current
                      - current_accepted
                  error:
                    type: 'null'
                required:
                  - data
                  - error
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                required:
                  - data
                  - error
        '403':
          description: Caller is not an owner of the active organization.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                required:
                  - data
                  - error
        '410':
          description: Organization is frozen pending deletion.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                required:
                  - data
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: 'null'
                    description: Empty data object.
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                        description: The error code
                      message:
                        type: string
                        description: The error message
                      hint:
                        type: string
                        description: A hint to help the user fix the error
                      docs:
                        type: string
                        description: A link to the documentation for the error
                    required:
                      - code
                      - message
                      - hint
                      - docs
                required:
                  - data
                  - error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````